<template>
  <div
    class="fullscreen bg-blue text-white text-center q-pa-md flex flex-center"
  >
    <div>
      <div style="font-size: 30vh">404</div>

      <div class="text-h2" style="opacity: 0.4">Ой! А тут ничего нет...</div>

      <q-btn
        icon="home"
        class="q-mt-xl"
        color="white"
        text-color="blue"
        unelevated
        to="/"
        label="На главную"
        no-caps
      />

      <q-btn
        icon-right="arrow_back"
        class="q-mt-xl q-ml-md"
        color="white"
        text-color="blue"
        unelevated
        label="Назад"
        no-caps
        @click="$router.back()"
      />
    </div>
  </div>
</template>

<script>
import { defineComponent } from 'vue'

export default defineComponent({
  name: 'Error404',
})
</script>
